Main Page Widgets Namespaces Book

# stateset.h File Reference

## Classes
class | Atk::StateSet
| An AtkStateSet determines a component's state set. More...
## Namespaces
namespace | Atk
| The ATK interface which provides standard mechanism for manipulating hyperlinks.

namespace | Glib
## Enumerations
enum | Atk::StateType { Atk::STATE_INVALID, Atk::STATE_ACTIVE, Atk::STATE_ARMED, Atk::STATE_BUSY, Atk::STATE_CHECKED, Atk::STATE_DEFUNCT, Atk::STATE_EDITABLE, Atk::STATE_ENABLED, Atk::STATE_EXPANDABLE, Atk::STATE_EXPANDED, Atk::STATE_FOCUSABLE, Atk::STATE_FOCUSED, Atk::STATE_HORIZONTAL, Atk::STATE_ICONIFIED, Atk::STATE_MODAL, Atk::STATE_MULTI_LINE, Atk::STATE_MULTISELECTABLE, Atk::STATE_OPAQUE, Atk::STATE_PRESSED, Atk::STATE_RESIZABLE, Atk::STATE_SELECTABLE, Atk::STATE_SELECTED, Atk::STATE_SENSITIVE, Atk::STATE_SHOWING, Atk::STATE_SINGLE_LINE, Atk::STATE_STALE, Atk::STATE_TRANSIENT, Atk::STATE_VERTICAL, Atk::STATE_VISIBLE, Atk::STATE_MANAGES_DESCENDANTS, Atk::STATE_INDETERMINATE, Atk::STATE_TRUNCATED, Atk::STATE_REQUIRED, Atk::STATE_LAST_DEFINED }